## org.springframework.oxm.castor
Class CastorMappingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.oxm.XmlMappingException
                          org.springframework.oxm.castor.CastorMappingException

All Implemented Interfaces:
  Serializable

    public class CastorMappingException

extends XmlMappingException

Exception thrown by `CastorMarshaller` whenever it encounters a mapping problem.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`CastorMappingException(String msg, Throwable cause)` Construct a `CastorMappingException` with the specified detail message and nested exception.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CastorMappingException

    public CastorMappingException(String msg,
                                  Throwable cause)

  Construct a `CastorMappingException` with the specified detail message and nested exception.

  Parameters:
    `msg` - the detail message
    `cause` - the nested exception